Bug 151889 - menu system: serious incompatibility with newer versions of the specification
Summary: menu system: serious incompatibility with newer versions of the specification
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-vfs2   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Keywords: Desktop
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 08:55 UTC by Mark McLoughlin
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 22:18:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the bug (4.51 KB, patch)
2005-03-23 08:55 UTC, Mark McLoughlin
no flags Details | Diff

Description Mark McLoughlin 2005-03-23 08:55:02 UTC
Newer versions of the menu spec:

  http://specs.freedesktop.org/wiki/Standards/menu-spec

added some new extensions:

  1) Support for describing how the menu should be laid out using the
     <DefaultLayout> and <Layout> tags

  2) Support for merging in a parent .menu file by adding a "type"
     attribute to the <MergeFile> tag

Problem is that our implementation validates the .menu file using our notion of
the DTD at the time of release rather than using the DTD specified by the .menu
file.

Essentially, this means that if a user shares her home directory between RHEL4
and later releases like FC4/RHEL5 and a menu editor generates a .menu file which
uses these extensions, then her menus will no longer work at all on RHEL4.

Comment 1 Mark McLoughlin 2005-03-23 08:55:02 UTC
Created attachment 112247 [details]
patch to fix the bug

Comment 3 Mark McLoughlin 2005-03-23 11:05:37 UTC
Fix is in gnome-vfs-2.8.2-8.3, errata is RHBA-2005:338

Comment 13 RHEL Product and Program Management 2006-10-09 22:10:09 UTC
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.

Comment 14 RHEL Product and Program Management 2006-10-09 22:18:07 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.